xgboost

Public Member Functions | List of all members
xgboost::common::ColumnMatrix Class Reference

a collection of columns, with support for construction from GHistIndexMatrix. More...

`#include <column_matrix.h>`

Collaboration diagram for xgboost::common::ColumnMatrix:

## Public Member Functions
bst_feature_t | GetNumFeature () const
void | Init (SparsePage const &page, const GHistIndexMatrix &gmat, double sparse_threshold, int32_t n_threads)
void | SetTypeSize (size_t max_num_bins)
template<typename BinIdxType , bool any_missing>
std::unique_ptr< const Column< BinIdxType > > | GetColumn (unsigned fid) const
template<typename T >
void | SetIndexAllDense (SparsePage const &page, T const *index, const GHistIndexMatrix &gmat, const size_t nrow, const size_t nfeature, const bool noMissingValues, int32_t n_threads)
template<typename T , typename BinFn >
void | SetIndexSparse (SparsePage const &batch, T *index, const GHistIndexMatrix &gmat, const size_t nfeature, BinFn &&assign_bin)
template<typename T >
void | SetIndex (SparsePage const &page, uint32_t const *index, const GHistIndexMatrix &gmat, const size_t nfeature)
BinTypeSize | GetTypeSize () const
bool | NoMissingValues (const size_t n_elements, const size_t n_row, const size_t n_features)
bool | AnyMissing () const
bool | Read (dmlc::SeekStream *fi, uint32_t const *index_base)
size_t | Write (dmlc::Stream *fo) const

## Detailed Description

a collection of columns, with support for construction from GHistIndexMatrix.

## Member Function Documentation

## ◆ AnyMissing()

bool xgboost::common::ColumnMatrix::AnyMissing | ( |  | ) | const
| inline

## ◆ GetColumn()

template<typename BinIdxType , bool any_missing>

std::unique_ptr<const Column<BinIdxType> > xgboost::common::ColumnMatrix::GetColumn | ( | unsigned | fid | ) | const
| inline

## ◆ GetNumFeature()

bst_feature_t xgboost::common::ColumnMatrix::GetNumFeature | ( |  | ) | const
| inline

## ◆ GetTypeSize()

BinTypeSize xgboost::common::ColumnMatrix::GetTypeSize | ( |  | ) | const
| inline

## ◆ Init()

void xgboost::common::ColumnMatrix::Init | ( | SparsePage const & | page,
|  | const GHistIndexMatrix & | gmat,
|  | double | sparse_threshold,
|  | int32_t | n_threads
| ) |  |
| inline

## ◆ NoMissingValues()

bool xgboost::common::ColumnMatrix::NoMissingValues | ( | const size_t | n_elements,
|  | const size_t | n_row,
|  | const size_t | n_features
| ) |  |
| inline

## ◆ Read()

bool xgboost::common::ColumnMatrix::Read | ( | dmlc::SeekStream * | fi,
|  | uint32_t const * | index_base
| ) |  |
| inline

## ◆ SetIndex()

template<typename T >

void xgboost::common::ColumnMatrix::SetIndex | ( | SparsePage const & | page,
|  | uint32_t const * | index,
|  | const GHistIndexMatrix & | gmat,
|  | const size_t | nfeature
| ) |  |
| inline

## ◆ SetIndexAllDense()

template<typename T >

void xgboost::common::ColumnMatrix::SetIndexAllDense | ( | SparsePage const & | page,
|  | T const * | index,
|  | const GHistIndexMatrix & | gmat,
|  | const size_t | nrow,
|  | const size_t | nfeature,
|  | const bool | noMissingValues,
|  | int32_t | n_threads
| ) |  |
| inline

## ◆ SetIndexSparse()

template<typename T , typename BinFn >

void xgboost::common::ColumnMatrix::SetIndexSparse | ( | SparsePage const & | batch,
|  | T * | index,
|  | const GHistIndexMatrix & | gmat,
|  | const size_t | nfeature,
|  | BinFn && | assign_bin
| ) |  |
| inline

## ◆ SetTypeSize()

void xgboost::common::ColumnMatrix::SetTypeSize | ( | size_t | max_num_bins | ) |
| inline

## ◆ Write()

size_t xgboost::common::ColumnMatrix::Write | ( | dmlc::Stream * | fo | ) | const
| inline

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/column_matrix.h